Package ghidra.util.layout

# Class RightSidedSquishyBuddyLayout

java.lang.Object
ghidra.util.layout.RightSidedSquishyBuddyLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`

public class RightSidedSquishyBuddyLayout extends Object implements LayoutManager, Serializable
Layout for two components laid out horizontally where the first component gets its preferred width and the second component gets the remaining space up to its preferred width.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RightSidedSquishyBuddyLayout(int hGap)`
  `RightSidedSquishyBuddyLayout(int hGap, boolean rightAlign)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container container)`
  `Dimension`
  `minimumLayoutSize(Container cont)`
  `Dimension`
  `preferredLayoutSize(Container container)`
  `void`
  `removeLayoutComponent(Component comp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RightSidedSquishyBuddyLayout

    public RightSidedSquishyBuddyLayout(int hGap)

  - ### RightSidedSquishyBuddyLayout

    public RightSidedSquishyBuddyLayout(int hGap, boolean rightAlign)

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container container)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container cont)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`

  - ### layoutContainer

    public void layoutContainer(Container container)
    Specified by:
      `layoutContainer` in interface `LayoutManager`